searchData={"items":[{"type":"module","title":"Phoenix.SessionProcess","doc":"Documentation for `Phoenix.SessionProcess`.\n\nAdd superviser to process tree\n\n    [\n      ...\n      {Phoenix.SessionProcess.Supervisor, []}\n    ]\n\nAdd this after the `:fetch_session` plug to generate a unique session ID.\n\n    plug :fetch_session\n    plug Phoenix.SessionProcess.SessionId\n\nStart a session process with a session ID.\n\n    Phoenix.SessionProcess.start(\"session_id\")\n\nThis will start a session process using the module defined with\n\n    config :phoenix_session_process, session_process: MySessionProcess\n\nOr you can start a session process with a specific module.\n\n    Phoenix.SessionProcess.start(\"session_id\", MySessionProcess)\n    # or\n    Phoenix.SessionProcess.start(\"session_id\", MySessionProcess, arg)\n\nCheck if a session process is started.\n\n    Phoenix.SessionProcess.started?(\"session_id\")\n\nTerminate a session process.\n\n    Phoenix.SessionProcess.terminate(\"session_id\")\n\nGenserver call on a session process.\n\n    Phoenix.SessionProcess.call(\"session_id\", request)\n\nGenserver cast on a session process.\n\n    Phoenix.SessionProcess.cast(\"session_id\", request)","ref":"Phoenix.SessionProcess.html"},{"type":"function","title":"Phoenix.SessionProcess.call/3","doc":"","ref":"Phoenix.SessionProcess.html#call/3"},{"type":"function","title":"Phoenix.SessionProcess.cast/2","doc":"","ref":"Phoenix.SessionProcess.html#cast/2"},{"type":"function","title":"Phoenix.SessionProcess.start/1","doc":"","ref":"Phoenix.SessionProcess.html#start/1"},{"type":"function","title":"Phoenix.SessionProcess.start/2","doc":"","ref":"Phoenix.SessionProcess.html#start/2"},{"type":"function","title":"Phoenix.SessionProcess.start/3","doc":"","ref":"Phoenix.SessionProcess.html#start/3"},{"type":"function","title":"Phoenix.SessionProcess.started?/1","doc":"","ref":"Phoenix.SessionProcess.html#started?/1"},{"type":"function","title":"Phoenix.SessionProcess.terminate/1","doc":"","ref":"Phoenix.SessionProcess.html#terminate/1"},{"type":"module","title":"Phoenix.SessionProcess.ProcessSupervisor","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.call_on_session/3","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#call_on_session/3"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.cast_on_session/2","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#cast_on_session/2"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.child_name/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#child_name/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#child_spec/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.session_process_pid/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#session_process_pid/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.session_process_started?/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#session_process_started?/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.start_child/2","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#start_child/2"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.start_link/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#start_link/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.start_session/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#start_session/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.start_session/2","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#start_session/2"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.start_session/3","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#start_session/3"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.terminate_child/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#terminate_child/1"},{"type":"function","title":"Phoenix.SessionProcess.ProcessSupervisor.terminate_session/1","doc":"","ref":"Phoenix.SessionProcess.ProcessSupervisor.html#terminate_session/1"},{"type":"module","title":"Phoenix.SessionProcess.SessionId","doc":"Documentation for `Phoenix.SessionProcess.SessionId`.\n\nAdd this after the `:fetch_session` plug to generate a unique session ID.\n\n    plug :fetch_session\n    plug Phoenix.SessionProcess.SessionId","ref":"Phoenix.SessionProcess.SessionId.html"},{"type":"function","title":"Phoenix.SessionProcess.SessionId.generate_unique_session_id/0","doc":"","ref":"Phoenix.SessionProcess.SessionId.html#generate_unique_session_id/0"},{"type":"module","title":"Phoenix.SessionProcess.Supervisor","doc":"","ref":"Phoenix.SessionProcess.Supervisor.html"},{"type":"function","title":"Phoenix.SessionProcess.Supervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Phoenix.SessionProcess.Supervisor.html#child_spec/1"},{"type":"function","title":"Phoenix.SessionProcess.Supervisor.start_link/1","doc":"","ref":"Phoenix.SessionProcess.Supervisor.html#start_link/1"}],"content_type":"text/markdown"}